Bug 183295 - textproc/xmlto TEX options broken when processing fo -> pdf
textproc/xmlto TEX options broken when processing fo -> pdf
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Matthias Andree
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 09:00 UTC by Matthias Andree
Modified: 2013-10-25 23:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Andree freebsd_committer 2013-10-25 09:00:00 UTC
Reminder PR that the xmlto TEX options are currently broken;
avg@ reported that passivetex's dependency needed to be adjusted;
turns out that passivetex and dblatex do not work at all for me;
fop seems fine.

How-To-Repeat: DEPENDENY failure: see that even if passivetex is installed properly, "make
depends" tries to re-install it (the path is wrong, the files moved from
texmf-local into texmf). Reported by Andriy V. Gapon.

TEX failures: install xmlto with DBLATEX/PASSIVETEX option, overriding
BROKEN, then use leafnode's FAQ.xml (docbook, if necessary from the source
tarball), convert it to fo, and then xmlto pdf FAQ.fo.
Comment 1 Edwin Groothuis freebsd_committer 2013-10-25 09:00:08 UTC
Class Changed
From-To: sw-bug->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-10-25 09:00:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mandree

Submitter is maintainer and has GNATS access (via the GNATS Auto Assign 
Tool)
Comment 3 Matthias Andree freebsd_committer 2013-10-25 23:32:18 UTC
State Changed
From-To: open->closed

fix committed
Comment 4 dfilter freebsd_committer 2013-10-25 23:32:18 UTC
Author: mandree
Date: Fri Oct 25 22:32:09 2013
New Revision: 331640
URL: http://svnweb.freebsd.org/changeset/ports/331640

Log:
  Fix dependency on passivetex if this option is enabled, reported by
  Andriy Gapon and fix proposed by Hiroki Sato.
  
  Add xhtml2fo.xsl default XHTML1 -> FO style sheet from
  <http://www.antennahouse.com/XSLsample/XSLsample.htm> and install it
  into DATADIR; and add a pkg-message about its use.
  
  Submitted by:	avg@
  Obtained from:	hrs@
  PR:		ports/183295

Added:
  head/textproc/xmlto/files/pkg-message.in   (contents, props changed)
Modified:
  head/textproc/xmlto/Makefile
  head/textproc/xmlto/distinfo   (contents, props changed)
  head/textproc/xmlto/files/patch-xmlto.in
  head/textproc/xmlto/pkg-plist

Modified: head/textproc/xmlto/Makefile
==============================================================================
--- head/textproc/xmlto/Makefile	Fri Oct 25 22:27:59 2013	(r331639)
+++ head/textproc/xmlto/Makefile	Fri Oct 25 22:32:09 2013	(r331640)
@@ -3,9 +3,16 @@
 
 PORTNAME=	xmlto
 PORTVERSION=	0.0.25
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	textproc
-MASTER_SITES=	https://fedorahosted.org/releases/x/m/xmlto/
+MASTER_SITES=	https://fedorahosted.org/releases/x/m/xmlto/:xmlto \
+		LOCAL/mandree/:xmlto \
+		http://www.antennahouse.com/XSLsample/sample-xsl-xhtml2fo/:xsl \
+		LOCAL/mandree/:xsl
+DISTFILES=	${PORTNAME}-${PORTVERSION}${EXTRACT_SUFX}:xmlto \
+		xhtml2fo.xsl:xsl
+DIST_SUBDIR=	${PORTNAME}
+EXTRACT_ONLY=	${PORTNAME}-${PORTVERSION}${EXTRACT_SUFX}
 
 MAINTAINER=	mandree@FreeBSD.org
 COMMENT=	Front-end to an XSL toolchain
@@ -22,11 +29,14 @@ BUILD_DEPENDS=	${BASH_CMD}:${PORTSDIR}/s
 		${LOCALBASE}/share/xml/docbook/4.2/docbookx.dtd:${PORTSDIR}/textproc/docbook-xml
 RUN_DEPENDS:=	${BUILD_DEPENDS}
 
-# TODO: make this a group for PDF output?
-OPTIONS_DEFINE=		DBLATEX FOP PASSIVETEX
-DBLATEX_DESC=		Add dependency on Dblatex
-FOP_DESC=		Add dependency on FOP (needs Java)
-PASSIVETEX_DESC=	- BROKEN - Add dependency on PassiveTeX
+SUB_FILES=	pkg-message
+
+OPTIONS_GROUP=		BACKEND
+OPTIONS_GROUP_BACKEND=		DBLATEX FOP PASSIVETEX
+BACKEND_DESC=		Postprocessor backends to enable
+DBLATEX_DESC=		Add dependency on DBlatex (DB for DocBook)
+FOP_DESC=		Add dependency on FOP (requires Java)
+PASSIVETEX_DESC=	Add dependency on XMLTeX/PassiveTeX
 
 USE_BZIP2=	yes
 GNU_CONFIGURE=	yes
@@ -46,8 +56,7 @@ PORTDOCS=	AUTHORS ChangeLog NEWS THANKS
 .include <bsd.port.pre.mk>
 
 .if ${PORT_OPTIONS:MPASSIVETEX}
-BUILD_DEPENDS+=	${LOCALBASE}/share/texmf-local/tex/passivetex/fotex.sty:${PORTSDIR}/print/passivetex
-BROKEN=		the passivetex option is currently broken
+USE_TEX+=	xmltex
 .endif
 
 .if ${PORT_OPTIONS:MFOP}
@@ -68,9 +77,11 @@ post-patch:
 	@# get rid of GNU-make-ism (BSD make defines $< only in suffix rules)
 	${REINPLACE_CMD} -e '/^GEN_MANPAGE/{s/\$$</$$>/;}' ${WRKSRC}/Makefile.in
 
-.if ${PORT_OPTIONS:MDOCS}
 post-install:
-	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${MKDIR} ${STAGEDIR}${DATADIR}
+	${INSTALL_DATA} ${DISTDIR}/${DIST_SUBDIR}/xhtml2fo.xsl ${STAGEDIR}${DATADIR}/
+.if ${PORT_OPTIONS:MDOCS}
+	${MKDIR} ${STAGEDIR}${DOCSDIR}
 	cd ${WRKSRC} && ${INSTALL_DATA} ${PORTDOCS} ${STAGEDIR}${DOCSDIR}
 .endif
 

Modified: head/textproc/xmlto/distinfo
==============================================================================
--- head/textproc/xmlto/distinfo	Fri Oct 25 22:27:59 2013	(r331639)
+++ head/textproc/xmlto/distinfo	Fri Oct 25 22:32:09 2013	(r331640)
@@ -1,2 +1,4 @@
-SHA256 (xmlto-0.0.25.tar.bz2) = 361cb70d5d0b4b753db00b67ed8bc1d53d0bc96c407d0310aefe854470b7e536
-SIZE (xmlto-0.0.25.tar.bz2) = 116496
+SHA256 (xmlto/xmlto-0.0.25.tar.bz2) = 361cb70d5d0b4b753db00b67ed8bc1d53d0bc96c407d0310aefe854470b7e536
+SIZE (xmlto/xmlto-0.0.25.tar.bz2) = 116496
+SHA256 (xmlto/xhtml2fo.xsl) = 51984c86eda98fc70c2c0fa887626f44311634c5e3d1053cd2ada8cd2543ebd6
+SIZE (xmlto/xhtml2fo.xsl) = 63786

Modified: head/textproc/xmlto/files/patch-xmlto.in
==============================================================================
--- head/textproc/xmlto/files/patch-xmlto.in	Fri Oct 25 22:27:59 2013	(r331639)
+++ head/textproc/xmlto/files/patch-xmlto.in	Fri Oct 25 22:32:09 2013	(r331640)
@@ -1,3 +1,8 @@
+This patch serves two purposes:
+
+#1 fix "noextensions" long option (accepted by upstream)
+#2 avoid that w3m or others pollute $HOME/
+
 --- ./xmlto.in.orig	2011-11-29 12:49:57.000000000 +0100
 +++ ./xmlto.in	2013-10-07 23:52:57.000000000 +0200
 @@ -262,7 +262,7 @@

Added: head/textproc/xmlto/files/pkg-message.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/textproc/xmlto/files/pkg-message.in	Fri Oct 25 22:32:09 2013	(r331640)
@@ -0,0 +1,9 @@
+For benefits of conversions away from XHTML1 through XSL-FO,
+a stylesheet xhtml2fo.xsl has been installed
+into %%DATADIR%%. Example use:
+
+  xmlto pdf -x %%DATADIR%%/xhtml2fo.xsl myXHTML1file.xml
+
+More style sheets for XHTML1 conversions can be found at
+<http://www.antennahouse.com/XSLsample/XSLsample.htm>
+under "Stylesheet for XHTML to XSL-FO transformation"

Modified: head/textproc/xmlto/pkg-plist
==============================================================================
--- head/textproc/xmlto/pkg-plist	Fri Oct 25 22:27:59 2013	(r331639)
+++ head/textproc/xmlto/pkg-plist	Fri Oct 25 22:32:09 2013	(r331640)
@@ -36,6 +36,7 @@ man/man1/xmlto.1.gz
 %%DATADIR%%/format/xhtml1/ps
 %%DATADIR%%/format/xhtml1/svg
 %%DATADIR%%/format/xhtml1/txt
+%%DATADIR%%/xhtml2fo.xsl
 %%DATADIR%%/xmlto.mak
 @dirrm %%DATADIR%%/format/xhtml1
 @dirrm %%DATADIR%%/format/fo
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"